import { ViewBase } from '../../libappbase/viewbase';
import { UIWaitSOP } from '../../libappsop/objectsop';
import { AppMP } from '../appmp';
import { FormCost } from '../forms/form.cost';

/**
 * Scenario Analysis > Costs view
 */
export class ViewScenarioAnalysisCost extends ViewBase implements UIWaitSOP {
  public readonly name = 'Costs';
  public readonly viewPath = 'Scenario Analysis > Costs';

  public frmCost = new FormCost();

  /**
   * Switch to Scenario View
   */
  public async switchTo(): Promise<void> {
    const appMP = AppMP.getInstance();
    // Click Scenario view on action bar page
    await appMP.abpScenarioAnalysis.click();
    await appMP.abpScenarioAnalysis.btnCosts.click();

    await this.waitUILoaded();
  }

  public async waitUILoaded(): Promise<void> {
    await this.frmCost.waitUntilPresent();
  }
}
